package com.sa.ibiz.demo.demo.codelist;

import java.util.ArrayList;
import java.util.List;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import org.springframework.util.StringUtils;
import org.springframework.stereotype.Component;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import com.sa.ibiz.demo.ibizutil.domain.CodeList;
import com.sa.ibiz.demo.ibizutil.domain.CodeItem;


/**
 * 代码表[用户对象类型]
 */
@Component("ionicdemo_CodeList5CodeList")
public class CodeList5CodeList extends com.sa.ibiz.demo.ibizutil.domain.CodeListBase{
    @PostConstruct
	protected void init()
	{
	}

	@Override
	public void initCodeList()  {
		CodeList codeList = new CodeList();
		codeList.setSrfkey("ionicdemo_CodeList5");
		List<CodeItem> codeItemList = new ArrayList<CodeItem>();
		CodeItem item0 = new CodeItem();
		item0.setValue("USER");
		item0.setId("USER");
		item0.setText("用户");
		item0.setLabel("用户");
		codeItemList.add(item0);
		codeList.getCodeItemModelMap().put("USER",item0);
		CodeItem item1 = new CodeItem();
		item1.setValue("USERGROUP");
		item1.setId("USERGROUP");
		item1.setText("用户组");
		item1.setLabel("用户组");
		codeItemList.add(item1);
		codeList.getCodeItemModelMap().put("USERGROUP",item1);
		codeList.setItems(codeItemList.toArray(new CodeItem[codeItemList.size()]));
        this.setCodeList(codeList);
	}



}